| OpenCV 3.4.8 Open Source Computer Vision

Public Member Functions | List of all members
cv::ogl::Arrays Class Reference
Core functionality » OpenGL interoperability

Wrapper for OpenGL Client-Side Vertex arrays. More...

`#include <opencv2/core/opengl.hpp>`

## Public Member Functions
| Arrays ()
| Default constructor. More...
void | bind () const
| Binds all vertex arrays. More...
bool | empty () const
void | release ()
| Releases all inner buffers. More...
void | resetColorArray ()
| Resets vertex colors. More...
void | resetNormalArray ()
| Resets vertex normals. More...
void | resetTexCoordArray ()
| Resets vertex texture coordinates. More...
void | resetVertexArray ()
| Resets vertex coordinates. More...
void | setAutoRelease (bool flag)
| Sets auto release mode all inner buffers. More...
void | setColorArray (InputArray color)
| Sets an array of vertex colors. More...
void | setNormalArray (InputArray normal)
| Sets an array of vertex normals. More...
void | setTexCoordArray (InputArray texCoord)
| Sets an array of vertex texture coordinates. More...
void | setVertexArray (InputArray vertex)
| Sets an array of vertex coordinates. More...
int | size () const
| Returns the vertex count. More...

## Detailed Description

Wrapper for OpenGL Client-Side Vertex arrays.

ogl::Arrays stores vertex data in ogl::Buffer objects.

## Constructor & Destructor Documentation

## § Arrays()

cv::ogl::Arrays::Arrays | ( |  | ) |

Default constructor.

## Member Function Documentation

## § bind()

void cv::ogl::Arrays::bind | ( |  | ) | const

Binds all vertex arrays.

## § empty()

bool cv::ogl::Arrays::empty | ( |  | ) | const

## § release()

void cv::ogl::Arrays::release | ( |  | ) |

Releases all inner buffers.

## § resetColorArray()

void cv::ogl::Arrays::resetColorArray | ( |  | ) |

Resets vertex colors.

## § resetNormalArray()

void cv::ogl::Arrays::resetNormalArray | ( |  | ) |

Resets vertex normals.

## § resetTexCoordArray()

void cv::ogl::Arrays::resetTexCoordArray | ( |  | ) |

Resets vertex texture coordinates.

## § resetVertexArray()

void cv::ogl::Arrays::resetVertexArray | ( |  | ) |

Resets vertex coordinates.

## § setAutoRelease()

void cv::ogl::Arrays::setAutoRelease | ( | bool | flag | ) |

Sets auto release mode all inner buffers.

Parameters

  flag | Auto release mode.

## § setColorArray()

void cv::ogl::Arrays::setColorArray | ( | InputArray | color | ) |

Sets an array of vertex colors.

Parameters

  color | array with vertex colors, can be both host and device memory.

## § setNormalArray()

void cv::ogl::Arrays::setNormalArray | ( | InputArray | normal | ) |

Sets an array of vertex normals.

Parameters

  normal | array with vertex normals, can be both host and device memory.

## § setTexCoordArray()

void cv::ogl::Arrays::setTexCoordArray | ( | InputArray | texCoord | ) |

Sets an array of vertex texture coordinates.

Parameters

  texCoord | array with vertex texture coordinates, can be both host and device memory.

## § setVertexArray()

void cv::ogl::Arrays::setVertexArray | ( | InputArray | vertex | ) |

Sets an array of vertex coordinates.

Parameters

  vertex | array with vertex coordinates, can be both host and device memory.

## § size()

int cv::ogl::Arrays::size | ( |  | ) | const

Returns the vertex count.

The documentation for this class was generated from the following file:

- opencv2/core/opengl.hpp